[BlueOnyx:23938] Re: R5210 - problem with differenz php version as default version

Michael Stauber mstauber at blueonyx.it
Fri Jun 5 11:28:14 -05 2020


Hi Dirk,

> today I did install php 7.3 package at a R5210 server and set PHP 7.3.18
> as default in Server Management -> Security -> PHP Settings:
> 
> Default PHP Version: 7.3.18
> 
> In Site Management fort he specific site I set Services -> PHP to „PHP
> (DSO) + mod_ruid2“
> 
> Now I tried the roundcube installer and I see:
> 
> Checking PHP version
> 
> Version:  OK(PHP 7.2.11 detected)
> 
> Why 7.2.11?
> 
> This is the system php version but I did set the „Default PHP Version“
> for sites to 7.3 so I would expect to see 7.3.18 at this point.
>  
> 
> Same issue with PHP (DSO).
> 
> Only with suphp and  FPM/FastCGI I can set php version to 7.3
> 
> The changed default for „PHP (DSO) + mod_ruid2“ is not working although
> version 7.3.18 is displayed in the site after setting to "PHP (DSO) +
> mod_ruid2" under "Vsite PHP Version:".

Can you please run the following command:

#> strings /home/solarspeed/php-7.3/lib/httpd/libphp7.so |grep
"X-Powered-By:"

It should report: X-Powered-By: PHP/7.3.18

If it doesn't, then there is something wrong with the PHP package.

If it reports the correct version, then please check this file:

/etc/httpd/conf.modules.d/15-php.conf

With PHP-7.3.18 as default PHP it should read like this:

# Cannot load both php5 and php7 modules
<IfModule !mod_php5.c>
  <IfModule prefork.c>
    LoadModule php7_module /home/solarspeed/php-7.3/lib/httpd/libphp7.so
  </IfModule>
</IfModule>



-- 
With best regards

Michael Stauber


More information about the Blueonyx mailing list